package cn.newfeifan.mall.module.distri.controller.admin.orderpercentage.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 服务启动时存放在redis中的数据 VO")
@Data
@ToString(callSuper = true)
@Builder
public class OrderPercentageRedisVO {
    @Schema(description = "用户签到可获取的最大身价值")
    private String signInSocialStatusMax;

    @Schema(description = "签到获取身价")
    private String signInSocialStatus;
}
