package cn.newfeifan.mall.module.distri.service.sharepath;

import cn.newfeifan.mall.module.distri.dal.dataobject.sharepath.SharePathDO;


/**
 * 分销用户关系 Service 接口
 *
 * @author 非繁人
 */
public interface SharePathService {
    /**
     * 通过直推人, 获取当前的直推关系
     *
     * @param userId 用户id
     * @return 推荐人
     */
    SharePathDO getSharePathByDescendant(Long userId);
}