package cn.newfeifan.mall.module.distri.service.socialstatuschangelog;

import cn.newfeifan.mall.module.distri.enums.SocialStatusEnum;


/**
 * 会员身价变化日志 Service 接口
 *
 * @author 非繁人
 */
public interface SocialStatusChangeLogService {

    /**
     * 创建会员身价变化日志
     *
     * @param userId 用户编号
     * @param socialValue 身价值
     * @param objectId 业务对象编号
     * @param socialStatusEnum 业务对象枚举
     * @return 编号
     */
    Long createSocialStatusChangeLog(Long userId, Long socialValue, Long objectId, SocialStatusEnum socialStatusEnum);
}